"""empty message

Revision ID: 1c649b5acb78
Revises: 
Create Date: 2021-08-10 12:47:28.948001

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1c649b5acb78'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('sqlite_sequence')
    op.create_unique_constraint(None, 'branch', ['id'])
    op.alter_column('section', 'id_document',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.create_foreign_key(None, 'section', 'document', ['id_document'], ['id'])
    op.create_foreign_key(None, 'section', 'branch', ['id_section_default'], ['id'])
    op.alter_column('user', 'id_branch',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.create_foreign_key(None, 'user', 'branch', ['id_branch'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'user', type_='foreignkey')
    op.alter_column('user', 'id_branch',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.drop_constraint(None, 'section', type_='foreignkey')
    op.drop_constraint(None, 'section', type_='foreignkey')
    op.alter_column('section', 'id_document',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.drop_constraint(None, 'branch', type_='unique')
    op.create_table('sqlite_sequence',
    sa.Column('name', sa.NullType(), nullable=True),
    sa.Column('seq', sa.NullType(), nullable=True)
    )
    # ### end Alembic commands ###
